Debian Bug report logs - #209386
[PR 12451] missing(late) class forward declaration in cxxabi.h

version graph

Package: libstdc++5-3.3-dev; Maintainer for libstdc++5-3.3-dev is (unknown);

Reported by: Harald Boehme <boehme@informatik.hu-berlin.de>

Date: Tue, 9 Sep 2003 17:18:02 UTC

Severity: normal

Tags: patch, upstream

Found in version 1:3.3.2-0pre2

Fixed in version gcc-3.3/1:3.3.2ds3-0pre5

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR12451

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#209386; Package libstdc++5-3.3-dev. Full text and rfc822 format available.

Acknowledgement sent to Harald Boehme <boehme@informatik.hu-berlin.de>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harald Boehme <boehme@informatik.hu-berlin.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libstdc++5-3.3-dev: missing(late) class forward declaration in cxxabi.h
Date: Tue, 09 Sep 2003 19:06:40 +0200
[Message part 1 (text/plain, inline)]
Package: libstdc++5-3.3-dev
Version: 1:3.3.2-0pre2
Severity: normal
Tags: patch



-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux kosh 2.4.21-5-k7 #1 Mon Aug 25 08:09:01 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages libstdc++5-3.3-dev depends on:
ii  g++-3.3                    1:3.3.2-0pre2 The GNU C++ compiler
ii  gcc-3.3-base               1:3.3.2-0pre2 The GNU Compiler Collection (base 
ii  libc6-dev                  2.3.2-5       GNU C Library: Development Librari
ii  libstdc++5                 1:3.3.2-0pre2 The GNU Standard C++ Library v3

-- no debconf information

The class declaration for __class_type_info is missing at line 184 in
cxxabi.h.

Please apply following patch:

=====================================================================
--- /usr/include/c++/3.3/cxxabi.h	2003-08-31 13:36:42.000000000 +0200
+++ cxxabi.h	2003-09-09 19:01:41.000000000 +0200
@@ -175,6 +175,8 @@
                                 unsigned __outer) const;
 };
 
+class __class_type_info;
+
 /* type information for a pointer to member variable */
 class __pointer_to_member_type_info
   : public __pbase_type_info
@@ -201,8 +203,6 @@
                                 unsigned __outer) const;
 };
 
-class __class_type_info;
-
 /* helper class for __vmi_class_type */
 class __base_class_type_info
 {
=====================================================================

[/tmp/x (text/x-c, attachment)]

Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR12451. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#209386; Package libstdc++5-3.3-dev. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 209386-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 209386-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #209386 to gcc-gnats as PR 12451
Date: Tue, 30 Sep 2003 00:15:31 +0200
# submitted Debian report #209386 to gcc-gnats as PR 12451
# http://gcc.gnu.org/PR12451

forwarded 209386 http://gcc.gnu.org/PR12451
retitle 209386 [PR 12451] missing(late) class forward declaration in cxxabi.h
tags 209386 + upstream
thanks



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Harald Boehme <boehme@informatik.hu-berlin.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 209386-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 209386-close@bugs.debian.org
Subject: Bug#209386: fixed in gcc-3.3 1:3.3.2ds3-0pre5
Date: Mon, 06 Oct 2003 02:32:50 -0400
Source: gcc-3.3
Source-Version: 1:3.3.2ds3-0pre5

We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.2-0pre5_all.deb
cpp-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.2-0pre5_i386.deb
fastjar_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.2-0pre5_i386.deb
fixincludes_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.2-0pre5_i386.deb
g++-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.2-0pre5_i386.deb
g77-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.2-0pre5_all.deb
g77-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.2-0pre5_i386.deb
gcc-3.3-base_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.2-0pre5_i386.deb
gcc-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.2-0pre5_all.deb
gcc-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2-0pre5_i386.deb
gcc-3.3_3.3.2ds3-0pre5.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2ds3-0pre5.diff.gz
gcc-3.3_3.3.2ds3-0pre5.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2ds3-0pre5.dsc
gcc-3.3_3.3.2ds3.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2ds3.orig.tar.gz
gcj-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.2-0pre5_i386.deb
gij-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.2-0pre5_i386.deb
gnat-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.2-0pre5_all.deb
gnat-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.2-0pre5_i386.deb
gobjc-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.2-0pre5_i386.deb
gpc-2.1-3.3-doc_3.3.2.20030830-0pre5_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.2.20030830-0pre5_all.deb
gpc-2.1-3.3_3.3.2.20030830-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.2.20030830-0pre5_i386.deb
libffi2-dev_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.2-0pre5_i386.deb
libffi2_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.2-0pre5_i386.deb
libg2c0_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.2-0pre5_i386.deb
libgcc1_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.2-0pre5_i386.deb
libgcj-common_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.2-0pre5_all.deb
libgcj4-dev_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.2-0pre5_i386.deb
libgcj4_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.2-0pre5_i386.deb
libobjc1_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.2-0pre5_i386.deb
libstdc++5-3.3-dbg_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.2-0pre5_i386.deb
libstdc++5-3.3-dev_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.2-0pre5_i386.deb
libstdc++5-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.2-0pre5_all.deb
libstdc++5-3.3-pic_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.2-0pre5_i386.deb
libstdc++5_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.2-0pre5_i386.deb
protoize_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.2-0pre5_i386.deb
treelang-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.2-0pre5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 209386@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  5 Oct 2003 19:53:49 +0200
Source: gcc-3.3
Binary: g77-3.3 gnat-3.3 libffi2 lib64stdc++5 protoize gpc-2.1-3.3 gpc-2.1-3.3-doc lib64gnat3.15 libobjc1 gcc-3.3-doc lib64g2c0 fixincludes libgcj4 libgcj4-dev g77-3.3-doc gcc-3.3-nof libgcj-common libstdc++5-3.3-pic libg2c0 gij-3.3 gcc-3.3 libstdc++5-3.3-dev lib64objc1 libstdc++5 gcj-3.3 cpp-3.3-doc libgnat3.15 lib64gcj4 lib64ffi2 fastjar libffi2-dev libgcc1 cpp-3.3 gcc-3.3-soft-float gcc-3.3-base g++-3.3 libstdc++5-3.3-dbg treelang-3.3 lib64gcc1 gnat-3.3-doc gobjc-3.3 libstdc++5-3.3-doc libg2c0-dev
Architecture: source i386 all
Version: 1:3.3.2ds3-0pre5
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library development
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 202762 207564 209386 210478 210482 211054 211909 212406 212912
Changes: 
 gcc-3.3 (1:3.3.2ds3-0pre5) unstable; urgency=low
 .
   * Update to gcc-3.3.2 CVS 20031005.
     - Fixes cpp inserting a spurious newline (closes: #210478, #210482).
     - Fixes generation of unrecognizable insn compiling kernel source
       on alpha (closes: #202762).
     - Fixes ICE in add_abstract_origin_attribute (closes: #212406).
     - Fixes forward declaration in libstdc++ (closes: #209386).
     - Fixes ICE in in extract_insn, at recog.c on alpha (closes: #207564).
   * Make libgcj-common architecture all (closes: #211909).
   * Build depend on: flex-old | flex (<< 2.5.31).
   * Fix spec linking libraries with -pthread on powerpc (closes: #211054).
   * debian/patches/arm-gotoff.dpatch: fix two kinds of PIC lossage.
     (Phil Blundell)
   * debian/patches/arm-common.dpatch: fix excessive alignment of common
     blocks causing binutils testsuite failures.
     (Phil Blundell)
   * Update priorities in debian/control to match the archive.
     (Ryan Murray)
   * s390-nonlocal-goto patch added. Fixes some pascal testcase failures.
     (Gerhard Tonn)
   * On alpha-linux, make -mieee default and add -mieee-disable switch
     to turn default off (closes: #212912).
     (Tyson Whitehead)
   * Add gpc upstream patch for memory corruption fix.
Files: 
 67077be86e3ff0637378e5dc425ca08b 2463 devel standard gcc-3.3_3.3.2ds3-0pre5.dsc
 33a1bab54f8d562f11e921ad97a091d5 25427823 devel standard gcc-3.3_3.3.2ds3.orig.tar.gz
 6c1c6277d74168e262cae522af5ea8c6 2234607 devel standard gcc-3.3_3.3.2ds3-0pre5.diff.gz
 c4b02ab495d2619f6b51ad13348ef099 82936 doc optional cpp-3.3-doc_3.3.2-0pre5_all.deb
 e23b15aed742461110be8c69cb6d453a 3149844 doc optional libstdc++5-3.3-doc_3.3.2-0pre5_all.deb
 7441b6099410ec029ff8bb632240dd70 268964 doc optional g77-3.3-doc_3.3.2-0pre5_all.deb
 4f1434441de7da8c57ed43cd619edfd4 328518 doc optional gnat-3.3-doc_3.3.2-0pre5_all.deb
 445e499fdf1c1a5463b586a7223a8b9f 795226 doc optional gpc-2.1-3.3-doc_3.3.2.20030830-0pre5_all.deb
 8aecd26fbe667646173c45e0afc815a3 597438 doc optional gcc-3.3-doc_3.3.2-0pre5_all.deb
 9bb17031ccde66d6e21a537e83d5f868 142004 devel required gcc-3.3-base_3.3.2-0pre5_i386.deb
 25b3def3227e422225755a388d1db5d3 71528 libs required libgcc1_3.3.2-0pre5_i386.deb
 f3dcee899f94d9b4293e65e47b469ba8 1386584 interpreters standard cpp-3.3_3.3.2-0pre5_i386.deb
 8ef93360e2a1e329cbe57ae8df1b4c89 23224 devel optional protoize_3.3.2-0pre5_i386.deb
 350cce45aaa4547b8a4d4a7a7257d0f3 48020 devel optional fixincludes_3.3.2-0pre5_i386.deb
 80a517d58417c28fb95e83d38292c583 1463036 devel optional gobjc-3.3_3.3.2-0pre5_i386.deb
 4131c1c2fce0fa68295e31353f8c19bc 131028 libs optional libobjc1_3.3.2-0pre5_i386.deb
 24e996aa29ed51bd3b02779e88fc0eab 13048 devel optional gij-3.3_3.3.2-0pre5_i386.deb
 c300618cae54d705d9b56315d24b87d5 3979434 libs optional libgcj4_3.3.2-0pre5_i386.deb
 336ee2be0af021f931a6c33d56b02b19 56460 libs optional libgcj-common_3.3.2-0pre5_all.deb
 a8134dd9c68b1e849b5313956eef190d 1690226 devel optional gcj-3.3_3.3.2-0pre5_i386.deb
 282186cfd4415e9d0685d1f5cf5b5115 4727822 libdevel optional libgcj4-dev_3.3.2-0pre5_i386.deb
 0aa322d4ad4177d30594d3bfde4d55f4 108408 devel extra fastjar_3.3.2-0pre5_i386.deb
 dda46b9766c898936516905804523415 66974 libs optional libffi2_3.3.2-0pre5_i386.deb
 8647d50970109370602683745fc0ae8b 10854 libdevel optional libffi2-dev_3.3.2-0pre5_i386.deb
 207866c846081aaf43221f18cd526826 1767404 devel standard g++-3.3_3.3.2-0pre5_i386.deb
 37a5358951e58a33fb60dbc3e10acfaf 282554 base required libstdc++5_3.3.2-0pre5_i386.deb
 c39ab2a8dd450e3c871a35d9d3814401 766842 libdevel standard libstdc++5-3.3-dev_3.3.2-0pre5_i386.deb
 7036db510227a028ab1086c457b951c7 320980 libdevel extra libstdc++5-3.3-pic_3.3.2-0pre5_i386.deb
 bb09be3dfd4dcb3f9cfae8615e88fd41 5045264 libdevel extra libstdc++5-3.3-dbg_3.3.2-0pre5_i386.deb
 845104e0c8b16281836c179b870b74a4 50282 libs optional libg2c0_3.3.2-0pre5_i386.deb
 ed0adc54aeaab4d7c13e131685001242 1608070 devel optional g77-3.3_3.3.2-0pre5_i386.deb
 373686cfc5c5810c806c1a078ccb6b62 6272666 devel optional gnat-3.3_3.3.2-0pre5_i386.deb
 cacc8c0a22a5af9f75480ca32c9f7fb6 1284582 devel optional treelang-3.3_3.3.2-0pre5_i386.deb
 ddfd8c56dc5ae6b80f09e50f8c122513 1925540 devel optional gpc-2.1-3.3_3.3.2.20030830-0pre5_i386.deb
 85c948bb516187509c1ef0b2b076c60f 1312766 devel standard gcc-3.3_3.3.2-0pre5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/gP6iStlRaw+TLJwRAkNLAJ4zi64/2ubkc4/eRUV6ocWY4zSsHQCfTVmt
PjqCZ0kVeuVxJsLkIlEAZKE=
=9Luw
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:04:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.